diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.46/src/visualizer/model/pyviz.h ns-3.47/src/visualizer/model/pyviz.h
--- ns-3.46/src/visualizer/model/pyviz.h	2025-10-01 18:46:32.000000000 -0700
+++ ns-3.47/src/visualizer/model/pyviz.h	2026-02-16 16:08:49.842230800 -0800
@@ -15,16 +15,131 @@
 #include "ns3/event-id.h"
 #include "ns3/ipv4-header.h"
 #include "ns3/ipv4-l3-protocol.h"
+#include "ns3/mac16-address.h"
 #include "ns3/mac48-address.h"
+#include "ns3/mac64-address.h"
 #include "ns3/node.h"
 #include "ns3/nstime.h"
 #include "ns3/packet.h"
 
 #include <map>
 #include <set>
+#include <variant>
 
 namespace ns3
 {
+namespace visualizer
+{
+
+/**
+ * TransmissionSample structure
+ */
+struct TransmissionSample
+{
+    Ptr<Node> transmitter; //!< The source node of the transmission
+    Ptr<Node> receiver;    //!< The destination node of the transmission (Null if broadcast)
+    Ptr<Channel> channel;  //!< The channel reference used for the transmission
+    uint32_t bytes;        //!< The number of bytes transmitted
+};
+
+/**
+ * PacketDropSample structure
+ */
+struct PacketDropSample
+{
+    Ptr<Node> transmitter; //!< The transmitter node where the drop was registered
+    uint32_t bytes;        //!< The number of bytes dropped
+};
+
+/**
+ * PacketSample structure.
+ */
+struct PacketSample
+{
+    Time time;             //!< The received or transmitted time of the sample.
+    Ptr<Packet> packet;    //!< The packet reference
+    Ptr<NetDevice> device; //!< The NetDevice reference
+};
+
+/**
+ * TxPacketSample structure
+ */
+struct TxPacketSample : PacketSample
+{
+    std::variant<Mac16Address, Mac48Address, Mac64Address> to; //!< The destination MAC address
+};
+
+/**
+ *  RxPacketSample structure
+ */
+struct RxPacketSample : PacketSample
+{
+    std::variant<Mac16Address, Mac48Address, Mac64Address> from; //!< The source MAC address
+};
+
+/**
+ *  Structure to handle a sample of the last received, transmitted or drop packets
+ *  in a node.
+ */
+struct LastPacketsSample
+{
+    std::vector<RxPacketSample> lastReceivedPackets;    //!< Last received packets
+    std::vector<TxPacketSample> lastTransmittedPackets; //!< Last transmitted packets
+    std::vector<PacketSample> lastDroppedPackets;       //!< Last dropped packets
+};
+
+/**
+ * The NetDeviceStatistics structure
+ */
+struct NetDeviceStatistics
+{
+    NetDeviceStatistics()
+        : transmittedBytes(0),
+          receivedBytes(0),
+          transmittedPackets(0),
+          receivedPackets(0)
+    {
+    }
+
+    uint64_t transmittedBytes;   //!< Transmitted bytes
+    uint64_t receivedBytes;      //!< Received bytes
+    uint32_t transmittedPackets; //!< Transmitted packets
+    uint32_t receivedPackets;    //!< Received packets
+};
+
+/**
+ * The NodeStatistics structure
+ */
+struct NodeStatistics
+{
+    uint32_t nodeId;                             //!<  Node ID
+    std::vector<NetDeviceStatistics> statistics; //!<  Statistics
+};
+
+/**
+ * The PacketCaptureMode enumeration
+ */
+enum PacketCaptureMode
+{
+    PACKET_CAPTURE_DISABLED = 1,       //!< Packet capture is disabled
+    PACKET_CAPTURE_FILTER_HEADERS_OR,  //!< Packet capture if any of the indicated headers is
+                                       //!< present
+    PACKET_CAPTURE_FILTER_HEADERS_AND, //!< Packet capture if all of the indicated headers are
+                                       //!< present
+};
+
+/**
+ * The PacketCaptureOptions structure
+ */
+struct PacketCaptureOptions
+{
+    std::set<TypeId> headers; //!< The headers
+    uint32_t numLastPackets;  //!< Number of last packets
+    PacketCaptureMode mode;   //!< The packet capture node
+};
+
+using TransmissionSampleList = std::vector<TransmissionSample>; //!< The transmission sample list
+using PacketDropSampleList = std::vector<PacketDropSample>;     //!< The packet drop list
 
 /**
  * @ingroup visualizer
@@ -44,172 +159,105 @@
     ~PyViz();
 
     /**
-     * Register drop trace path function
-     * @param tracePath the path to trace
-     */
-    void RegisterDropTracePath(const std::string& tracePath);
-
-    /**
-     * Register CSMA like device function
-     * @param deviceTypeName the device type name
-     */
-    void RegisterCsmaLikeDevice(const std::string& deviceTypeName);
-    /**
-     * Register WIFI like device function
-     * @param deviceTypeName the device type name
-     */
-    void RegisterWifiLikeDevice(const std::string& deviceTypeName);
-    /**
-     * Register point to point like device function
-     * @param deviceTypeName the device type name
+     * Run simulation until a given (simulated, absolute) time is reached.
+     *
+     * @param time the run time
      */
-    void RegisterPointToPointLikeDevice(const std::string& deviceTypeName);
+    void SimulatorRunUntil(Time time);
 
     /**
-     * Run simulation until a given (simulated, absolute) time is reached
-     * @param time the run time
+     * Get the stop time of the underlying visual simulator implementation.
+     *
+     * @return The stop time of the visual simulator implementation.
      */
-    void SimulatorRunUntil(Time time);
+    Time GetSimulatorStopTime();
 
     /**
-     * Pause function
+     * Pause function.
+     *
      * @param message the pause message
      */
     static void Pause(const std::string& message);
+
     /**
-     * Get pause message function
+     * Get pause message function.
+     *
      * @returns the pause message
      */
     std::vector<std::string> GetPauseMessages() const;
 
-    /// TransmissionSample structure
-    struct TransmissionSample
-    {
-        Ptr<Node> transmitter; ///< transmitter
-        Ptr<Node> receiver;    ///< NULL if broadcast
-        Ptr<Channel> channel;  ///< channel
-        uint32_t bytes;        ///< bytes
-    };
-
-    typedef std::vector<TransmissionSample>
-        TransmissionSampleList; ///< TransmissionSampleList typedef
     /**
-     * Get transmission samples
+     * Get transmission samples.
+     *
      * @returns the transmission sample list
      */
     TransmissionSampleList GetTransmissionSamples() const;
 
-    /// PacketDropSample structure
-    struct PacketDropSample
-    {
-        Ptr<Node> transmitter; ///< transmitter
-        uint32_t bytes;        ///< bytes
-    };
-
-    typedef std::vector<PacketDropSample> PacketDropSampleList; ///< PacketDropSampleList typedef
     /**
-     * Get packet drop samples
+     * Get packet drop samples.
+     *
      * @returns the packet drop sample list
      */
     PacketDropSampleList GetPacketDropSamples() const;
 
-    /// PacketSample structure
-    struct PacketSample
-    {
-        Time time;             ///< time
-        Ptr<Packet> packet;    ///< packet
-        Ptr<NetDevice> device; ///< device
-    };
-
-    /// TxPacketSample structure
-    struct TxPacketSample : PacketSample
-    {
-        Mac48Address to; ///< to
-    };
-
-    /// RxPacketSample structure
-    struct RxPacketSample : PacketSample
-    {
-        Mac48Address from; ///< from
-    };
-
-    /// LastPacketsSample structure
-    struct LastPacketsSample
-    {
-        std::vector<RxPacketSample> lastReceivedPackets;    ///< last received packets
-        std::vector<TxPacketSample> lastTransmittedPackets; ///< last transmitted packets
-        std::vector<PacketSample> lastDroppedPackets;       ///< last dropped packets
-    };
-
     /**
-     * Get last packets function
+     * Get last packets function.
+     *
      * @param nodeId the node ID
      * @returns the last packets
      */
     LastPacketsSample GetLastPackets(uint32_t nodeId) const;
 
     /**
-     * Set nodes of interest function
+     * Set nodes of interest function.
+     *
      * @param nodes the collection of nodes
      */
     void SetNodesOfInterest(std::set<uint32_t> nodes);
 
-    /// NetDeviceStatistics structure
-    struct NetDeviceStatistics
-    {
-        /// constructor
-        NetDeviceStatistics()
-            : transmittedBytes(0),
-              receivedBytes(0),
-              transmittedPackets(0),
-              receivedPackets(0)
-        {
-        }
-
-        uint64_t transmittedBytes;   ///< transmitted bytes
-        uint64_t receivedBytes;      ///< received bytes
-        uint32_t transmittedPackets; ///< transmitted packets
-        uint32_t receivedPackets;    ///< received packets
-    };
-
-    /// NodeStatistics structure
-    struct NodeStatistics
-    {
-        uint32_t nodeId;                             ///< node ID
-        std::vector<NetDeviceStatistics> statistics; ///< statistics
-    };
-
     /**
-     * Get node statistics
+     * Get node statistics.
+     *
      * @returns the node statistics
      */
     std::vector<NodeStatistics> GetNodesStatistics() const;
 
-    /// PacketCaptureMode enumeration
-    enum PacketCaptureMode
-    {
-        PACKET_CAPTURE_DISABLED = 1,       // packet capture is disabled
-        PACKET_CAPTURE_FILTER_HEADERS_OR,  // packet capture if any of the indicated headers is
-                                           // present
-        PACKET_CAPTURE_FILTER_HEADERS_AND, // packet capture if all of the indicated headers are
-                                           // present
-    };
-
-    /// PacketCaptureOptions structure
-    struct PacketCaptureOptions
-    {
-        std::set<TypeId> headers; ///< headers
-        uint32_t numLastPackets;  ///< num last packets
-        PacketCaptureMode mode;   ///< mode
-    };
-
     /**
-     * Set packet capture options function
+     * Set packet capture options function.
+     *
      * @param nodeId the node ID
      * @param options the capture options
      */
     void SetPacketCaptureOptions(uint32_t nodeId, PacketCaptureOptions options);
 
+    /**
+     * Register drop trace path function.
+     *
+     * @param tracePath the path to trace
+     */
+    void RegisterDropTracePath(const std::string& tracePath);
+
+    /**
+     * Register CSMA like device function.
+     *
+     * @param deviceTypeName the device type name
+     */
+    void RegisterCsmaLikeDevice(const std::string& deviceTypeName);
+
+    /**
+     * Register WIFI like device function.
+     *
+     * @param deviceTypeName the device type name
+     */
+    void RegisterWifiLikeDevice(const std::string& deviceTypeName);
+
+    /**
+     * Register point to point like device function.
+     *
+     * @param deviceTypeName the device type name
+     */
+    void RegisterPointToPointLikeDevice(const std::string& deviceTypeName);
+
     // Yes, I know, this is just a utility function, not really related to the class in any way.
     /**
      * Utility function - clips a line to a bounding box.
@@ -236,116 +284,117 @@
                              double& lineY1,
                              double& lineX2,
                              double& lineY2);
-    // Don't break the above line or pybindgen will not be able to pick up the above annotation :(
 
   private:
     /**
-     * Get packet capture options function
-     * @param nodeId the node ID
-     * @param outOptions the packet capture options
-     * @returns true if successful
+     * Get packet capture options function.
+     *
+     * @param nodeId The node ID
+     * @param outOptions The packet capture options
+     * @returns True if successful
      */
     bool GetPacketCaptureOptions(uint32_t nodeId, const PacketCaptureOptions** outOptions) const;
+
     /**
-     * Filter packet function
-     * @param packet the packet
-     * @param options the capture options
-     * @returns true if successful
+     * Filter packet function.
+     *
+     * @param packet The packet
+     * @param options The capture options
+     * @returns True if successful
      */
     static bool FilterPacket(Ptr<const Packet> packet, const PacketCaptureOptions& options);
 
-    typedef std::pair<Ptr<Channel>, uint32_t> TxRecordKey; ///< TxRecordKey typedef
-
-    /// TxRecordValue structure
-    struct TxRecordValue
-    {
-        Time time;         ///< time
-        Ptr<Node> srcNode; ///< source node
-        bool isBroadcast;  ///< is broadcast?
-    };
+    /**
+     * Find net device statistics function.
+     *
+     * @param node The node
+     * @param interface The interface number
+     * @returns The device statistics
+     */
+    inline NetDeviceStatistics& FindNetDeviceStatistics(int node, int interface);
 
-    /// TransmissionSampleKey structure
-    struct TransmissionSampleKey
-    {
-        /**
-         * Less than operator
-         *
-         * @param other object to compare
-         * @return true if less than
-         */
-        bool operator<(const TransmissionSampleKey& other) const;
-        /**
-         * Equality operator
-         *
-         * @param other object to compare
-         * @return true if equal
-         */
-        bool operator==(const TransmissionSampleKey& other) const;
-        Ptr<Node> transmitter; ///< transmitter
-        Ptr<Node> receiver;    ///< NULL if broadcast
-        Ptr<Channel> channel;  ///< channel
-    };
+    /**
+     * Do pause function.
+     *
+     * @param message the pause message
+     */
+    void DoPause(const std::string& message);
 
-    /// TransmissionSampleValue structure
-    struct TransmissionSampleValue
-    {
-        uint32_t bytes; ///< bytes
-    };
+    /**
+     * Stop simulation callback function.
+     */
+    void CallbackStopSimulation();
 
-    // Data
-    std::map<uint32_t, PacketCaptureOptions> m_packetCaptureOptions; ///< packet capture options
-    std::vector<std::string> m_pauseMessages;                        ///< pause message
-    std::map<TxRecordKey, TxRecordValue> m_txRecords;                ///< transmit records
-    std::map<TransmissionSampleKey, TransmissionSampleValue>
-        m_transmissionSamples;                   ///< transmission samples
-    std::map<Ptr<Node>, uint32_t> m_packetDrops; ///< packet drops
-    std::set<uint32_t>
-        m_nodesOfInterest; ///< list of node IDs whose transmissions will be monitored
-    std::map<uint32_t, Time> m_packetsOfInterest; ///< list of packet UIDs that will be monitored
-    std::map<uint32_t, LastPacketsSample> m_lastPackets;                    ///< last packets
-    std::map<uint32_t, std::vector<NetDeviceStatistics>> m_nodesStatistics; ///< node statistics
+    /////////////////////
+    // Trace callbacks //
+    /////////////////////
 
-    // Trace callbacks
     /**
-     * Network transmit common trace callback function
+     * Network transmit common trace callback function.
+     *
      * @param context the context
      * @param packet the packet
      * @param destination the destination MAC address
      */
-    void TraceNetDevTxCommon(const std::string& context,
-                             Ptr<const Packet> packet,
-                             const Mac48Address& destination);
+    void TraceNetDevTxCommon(
+        const std::string& context,
+        Ptr<const Packet> packet,
+        const std::variant<Mac16Address, Mac48Address, Mac64Address>& destination);
+
     /**
-     * Network receive common trace callback function
+     * Network receive common trace callback function.
+     *
      * @param context the context
      * @param packet the packet
      * @param source the source MAC address
      */
     void TraceNetDevRxCommon(const std::string& context,
                              Ptr<const Packet> packet,
-                             const Mac48Address& source);
+                             const std::variant<Mac16Address, Mac48Address, Mac64Address>& source);
 
     /**
-     * Wi-Fi transmit trace callback function
+     * Wi-Fi transmit trace callback function.
+     *
      * @param context the context
      * @param packet the packet
      */
     void TraceNetDevTxWifi(std::string context, Ptr<const Packet> packet);
+
     /**
-     * Wi-Fi receive trace callback function
+     * Wi-Fi receive trace callback function.
+     *
      * @param context the context
      * @param packet the packet
      */
     void TraceNetDevRxWifi(std::string context, Ptr<const Packet> packet);
 
     /**
-     * Queue drop trace callback function
+     * Lr-Wpan transmit trace callback function.
+     *
+     * @param context the context
+     * @param packet the packet
+     */
+    void TraceNetDevTxLrWpan(std::string context, Ptr<const Packet> packet);
+
+    /**
+     * Lr-Wpan receive trace callback function.
+     *
+     * @param context the context
+     * @param packet the packet
+     */
+    void TraceNetDevRxLrWpan(std::string context, Ptr<const Packet> packet);
+
+    /**
+     * Queue drop trace callback function.
+     *
      * @param context the context
      * @param packet the packet
      */
     void TraceDevQueueDrop(std::string context, Ptr<const Packet> packet);
+
     /**
-     * Ipv4 drop trace callback function
+     * Ipv4 drop trace callback function.
+     *
      * @param context the context
      * @param hdr the header
      * @param packet the packet
@@ -361,39 +410,48 @@
                        uint32_t interface);
 
     /**
-     * CSMA transmit trace callback function
+     * CSMA transmit trace callback function.
+     *
      * @param context the context
      * @param packet the packet
      */
     void TraceNetDevTxCsma(std::string context, Ptr<const Packet> packet);
+
     /**
-     * CSMA receive trace callback function
+     * CSMA receive trace callback function.
+     *
      * @param context the context
      * @param packet the packet
      */
     void TraceNetDevRxCsma(std::string context, Ptr<const Packet> packet);
+
     /**
-     * CSMA promiscuous receive function
+     * CSMA promiscuous receive function.
+     *
      * @param context the context
      * @param packet the packet
      */
     void TraceNetDevPromiscRxCsma(std::string context, Ptr<const Packet> packet);
 
     /**
-     * Point to point transmit trace callback function
+     * Point to point transmit trace callback function.
+     *
      * @param context the context
      * @param packet the packet
      */
     void TraceNetDevTxPointToPoint(std::string context, Ptr<const Packet> packet);
+
     /**
-     * Point to point receive trace callback function
+     * Point to point receive trace callback function.
+     *
      * @param context the context
      * @param packet the packet
      */
     void TraceNetDevRxPointToPoint(std::string context, Ptr<const Packet> packet);
 
     /**
-     * LTE transmit trace callback function
+     * LTE transmit trace callback function.
+     *
      * @param context the context
      * @param packet the packet
      * @param destination the destination MAC address
@@ -402,7 +460,8 @@
                           Ptr<const Packet> packet,
                           const Mac48Address& destination);
     /**
-     * LTE receive trace callback function
+     * LTE receive trace callback function.
+     *
      * @param context the context
      * @param packet the packet
      * @param source the MAC address of the source
@@ -412,26 +471,66 @@
                           const Mac48Address& source);
 
     /**
-     * Find net device statistics function
-     * @param node the node
-     * @param interface the interface number
-     * @returns the device statistics
+     * The TxRecordValue structure
      */
-    inline NetDeviceStatistics& FindNetDeviceStatistics(int node, int interface);
+    struct TxRecordValue
+    {
+        Time time;         //!< The transmission time
+        Ptr<Node> srcNode; //!< The source node of the transmission
+        bool isBroadcast;  //!< Broadcast flag
+    };
 
     /**
-     * Do pause function
-     * @param message the pause message
+     * The TransmissionSampleKey structure
      */
-    void DoPause(const std::string& message);
+    struct TransmissionSampleKey
+    {
+        /**
+         * Less than operator
+         *
+         * @param other Object to compare
+         * @return True if less than
+         */
+        bool operator<(const TransmissionSampleKey& other) const;
+        /**
+         * Equality operator
+         *
+         * @param other Object to compare
+         * @return True if equal
+         */
+        bool operator==(const TransmissionSampleKey& other) const;
+        Ptr<Node> transmitter; //!< transmitter
+        Ptr<Node> receiver;    //!< NULL if broadcast
+        Ptr<Channel> channel;  //!< channel
+    };
 
-    bool m_stop;     ///< stop?
-    Time m_runUntil; ///< run until time
+    /**
+     * The TransmissionSampleValue structure
+     */
+    struct TransmissionSampleValue
+    {
+        uint32_t bytes; //!< The nuumber of bytes of the transmission sample
+    };
 
-    /// Stop simulation callback function
-    void CallbackStopSimulation();
+    using TxRecordKey = std::pair<Ptr<Channel>, uint32_t>; //!< TxRecordKey type definition
+
+    std::map<uint32_t, PacketCaptureOptions> m_packetCaptureOptions; //!< Packet capture options
+    std::vector<std::string> m_pauseMessages;                        //!< Pause message
+    std::map<TxRecordKey, TxRecordValue> m_txRecords;                //!< Transmit records
+    std::map<TransmissionSampleKey,
+             TransmissionSampleValue>
+        m_transmissionSamples;                    //!< Transmission samples
+    std::map<Ptr<Node>, uint32_t> m_packetDrops;  //!< Packet drops
+    std::set<uint32_t> m_nodesOfInterest;         //!< List of node IDs whose transmissions
+                                                  //!< will be monitored
+    std::map<uint32_t, Time> m_packetsOfInterest; //!< List of packet UIDs that will be monitored
+    std::map<uint32_t, LastPacketsSample> m_lastPackets;                    //!< Last packets
+    std::map<uint32_t, std::vector<NetDeviceStatistics>> m_nodesStatistics; //!< Node statistics
+    bool m_stop;     //!< Stop simulation flag
+    Time m_runUntil; //!< Indicates until when the simulation should run for its next step
 };
 
+} // namespace visualizer
 } // namespace ns3
 
 #endif /* NS3_PYVIZ_H */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.46/src/visualizer/model/visual-simulator-impl.cc ns-3.47/src/visualizer/model/visual-simulator-impl.cc
--- ns-3.46/src/visualizer/model/visual-simulator-impl.cc	2025-10-01 18:46:32.000000000 -0700
+++ ns-3.47/src/visualizer/model/visual-simulator-impl.cc	2026-02-16 16:08:49.842230800 -0800
@@ -12,6 +12,7 @@
 #include "ns3/default-simulator-impl.h"
 #include "ns3/log.h"
 #include "ns3/packet-metadata.h"
+#include "ns3/system-path.h"
 
 namespace ns3
 {
@@ -106,18 +107,25 @@
 void
 VisualSimulatorImpl::Run()
 {
+    std::stringstream ss;
+    // If not a python script, where we can easily get argv, then inject program path as argv0
+    if (SystemPath::FindSelf().find("python") == std::string::npos)
+    {
+        ss << "import sys\n"
+           << "sys.argv = ['" << SystemPath::FindSelf() << "']\n";
+    }
+    ss << "import visualizer\n"
+       << "visualizer.start()\n";
     if (!Py_IsInitialized())
     {
         Py_Initialize();
-        PyRun_SimpleString("import visualizer\n"
-                           "visualizer.start();\n");
+        PyRun_SimpleString(ss.str().data());
     }
     else
     {
         PyGILState_STATE __py_gil_state = PyGILState_Ensure();
 
-        PyRun_SimpleString("import visualizer\n"
-                           "visualizer.start();\n");
+        PyRun_SimpleString(ss.str().data());
 
         PyGILState_Release(__py_gil_state);
     }
@@ -132,9 +140,16 @@
 EventId
 VisualSimulatorImpl::Stop(const Time& delay)
 {
+    m_stopTime = delay;
     return m_simulator->Stop(delay);
 }
 
+Time
+VisualSimulatorImpl::GetStopTime()
+{
+    return m_stopTime;
+}
+
 //
 // Schedule an event for a _relative_ time in the future.
 //
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.46/src/visualizer/model/visual-simulator-impl.h ns-3.47/src/visualizer/model/visual-simulator-impl.h
--- ns-3.46/src/visualizer/model/visual-simulator-impl.h	2025-10-01 18:46:32.000000000 -0700
+++ ns-3.47/src/visualizer/model/visual-simulator-impl.h	2026-02-16 16:08:49.842230800 -0800
@@ -62,6 +62,12 @@
     uint32_t GetContext() const override;
     uint64_t GetEventCount() const override;
 
+    /**
+     * Get the simulator implementation stop time.
+     * @returns The stop time of the simulation implementation.
+     */
+    Time GetStopTime();
+
     /// calls Run() in the wrapped simulator
     void RunRealSimulator();
 
@@ -70,8 +76,9 @@
     void NotifyConstructionCompleted() override;
 
   private:
-    Ptr<SimulatorImpl> m_simulator;       ///< the simulator implementation
-    ObjectFactory m_simulatorImplFactory; ///< simulator implementation factory
+    Ptr<SimulatorImpl> m_simulator;       //!< The simulator implementation
+    ObjectFactory m_simulatorImplFactory; //!< Simulator implementation factory
+    Time m_stopTime;                      //!< The stop time of the simulation
 };
 
 } // namespace ns3
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.46/src/visualizer/visualizer/base.py ns-3.47/src/visualizer/visualizer/base.py
--- ns-3.46/src/visualizer/visualizer/base.py	2025-10-01 18:46:32.000000000 -0700
+++ ns-3.47/src/visualizer/visualizer/base.py	2026-02-16 16:08:49.842230800 -0800
@@ -61,6 +61,8 @@
     ns.MeshPointDevice: NetDeviceTraits(is_virtual=True),
     ns.LteUeNetDevice: NetDeviceTraits(is_wireless=True),
     ns.LteEnbNetDevice: NetDeviceTraits(is_wireless=True),
+    ns.lrwpan.LrWpanNetDevice: NetDeviceTraits(is_wireless=True),
+    ns.SixLowPanNetDevice: NetDeviceTraits(is_virtual=False, is_wireless=True),
 }
 
 
